ISXEVE - Bug #1316

PlaceSellOrder - Not working
2014-12-13 10:59 AM - rogeruk

Status: Implemented
Priority: Normal
Assignee: Administrators
Category:

Target version:

vbulletin_issue_id:

Description

Trying this on the .NET wrapper - does not do anything, doesn't create any error codes.

Using a simple code, will post snippets

itemList = Ext.Me.GetHangarltems();
foreach (ltem item in itemList )

item.PlaceSellOrder(price, item.Quantity, 90);

This use to work before (last time | can recall is before the Rhea update).

History

#1 - 2014-12-13 03:06 PM - Ramzeth

| confirm this issue.

#2 - 2014-12-19 08:28 AM - rogeruk

Any word on this?. Not working as a ISS script either.

#3 - 2015-01-11 10:56 AM - rogeruk

Sorry to keep on but | see no activity from the dev's on ISXEVE?. Any updates would be great?

#4 - 2015-01-11 08:10 PM - Amadeus

- Assignee set to Administrators

Either Cybertech or | will look at it at some point this week. I'm available after Tuesday and will look at it if he doesn't have time before then.

#5 - 2015-01-14 02:26 PM - rogeruk
Thanks, let me know if you need to test anything

#6 - 2015-01-22 10:49 AM - Amadeus

- Status changed from New to Implemented

As you can see from the patch notes below, you'll have to completely re-do your script. Basically, instead of item:PlaceSellOrder you're going to
item:AddToSellOrder for each item you want to add to the particular sell. Once at least one item is added, you'll see the "SellltemsWindow" that is
new as of a few months ago.

At this point, you can see that I've provided quite a few things you can see and do with the window and the items for sale in it. Once you're used to it,
it should provide the ability to create much more intelligent scripts/routines than you could before.

Here is an example of how | might sell 20 of one item for 100 isk each (pseudo-lavishscript):

item:AddToSellOrder

EVEWindow[SellItems]
EVEWindow[SellItems]
EVEWindow[SellItems]
EVEWindow[SellItems]

:SetDuration[0] ; for instant sell
.Item[1] :SetAskPrice[100]
.Item[1l]:SetQuantity[20]

:Sell

Obviously, you'll need to wait until the window is open before doing things and closed after you're finished..and, as you can see from the patch notes,
there are a lot of other things you can see about the window and each of the items in the window. Finally, please note that this new methodology
WILL allow you to create sell orders with multiple quantities of the same item: you'll just need to add them to the window as seperate stacks.

| will add this new stuff to the .NET wrapper as soon as | am able.

January 22, 2015
[ISXEVE-20150113.0002]

* Removed the "PlaceSellOrder" METHOD from the 'item' datatype
* Datatype 'item'

New Method:

1. AddToSellOrder
* New Datatype: 'evesellitemsWindow' [inherits 'evewindow']
New Members:

1. Duration (int)

2. RemainingOrders (int)

3. BrokersFee (string)

4. SalesTax (string)

5. TotalAmount (string)

6. NumItems (int)

7. Item[#] (sellitem) [# is between 1 and 'NumItems']

New Methods:

1. SetDuration[#] (# is the number of days for the order. Only use one of the following: 0,1,3,7,14,30,9

0)
2. Sell (Note: You will need to click the box that says "Do not show me this again" for this t

o sell items without confirmation.)

* New Datatype: 'sellitem'

New Members:
1. Name (string)
2. ItemID (int64)
3. SalesTax (double)
4. Quantity (string)
5. AskPrice (string)
6. TotalAmount (double)
7. AveragePrice (double)
8. BestPrice (double)
9. BestVolumeRemaining (double)
10. BestJumps (int)

New Methods:

1. SetAskPricel[#]
2. SetQuantity[#]

* EVEWindow TLO:

Using the argument "SelllItems" will return a

'evesellitemsWindow'

datatype object if the sell items window is currently open/available.

#7 - 2015-01-22 02:45 PM - rogeruk
Very nice Amadeus! Thank you. Please let me know when the .NET wrapper is updated as this is what | use majority of the time

#8 - 2015-01-23 04:56 PM - Amadeus

OK, the wrapper is now fully up-to-date. The additions should be pretty self-explanatory other than the addition of GetSellltemsWindow() to the
EVEWindow class.

January 23, 2015
[ISXEVE-20150113.0003]
* Updated the .NET ISXEVE Wrapper that is distributed with ISXEVE

#9 - 2015-01-24 03:01 AM - rogeruk

Thanks!. Now time to re-write my bot :D

#10 - 2015-01-24 11:00 AM - rogeruk

| am trying to use the SellltemsWindow (.NET) but cannot get it to work.

| have been trying:
EVEWindow.GetSellltemsWindow().SetDuration(90);

and
EveSellltemsWindow window = EveSellltemsWindow.GetSellltemsWindow();
window.SetDuration(90);

But nothing seems to be happening.

Will this update real time on the client?. For example, if i set it to 2 weeks and then get the script to change it to 90 days, willl the dropdown box
change to 3 months?

#11 - 2015-01-24 12:20 PM - Amadeus

Does it work if you do EVEWindow[Sellltems]:SetDuration[90] in the console? Do the other members/methods of the EVESellltemsWindow class
work?

#12 - 2015-01-24 02:23 PM - rogeruk

Yes the console and iss works fine. The only thing that is working is the .AddToSellOrder, doesn't seem that the window class is working at all
(duration, sell etc doesnt do anything)

#13 - 2015-01-24 09:29 PM - Amadeus

Well, the source is up on github if you want to look at it. | thought | did everything the same as the other windows (i.e., "EveRepairShopWindow"), so
I'm not sure why it would work for those and not the new SellltemsWindow. But, feel free to download the source and compile it and see what you
find out. Otherwise, you could ask someone like Stealthy to look over it and see if they notice a reason why it wouldn't be working.
If GetSellltemsWindowy() is returning a valid object, then it seems like it should be fine. If GetSellltemsWindow() is not returning a valid object, then
that would be something else to debug.

#14 - 2015-01-25 03:47 AM - rogeruk

It seems that none of the windows work from the .NET wrapper - | have never used the windows before so did not know that the others did not work
either.

EVEWindow.GetWindowByName("SellltemsWindow").Close();
EVEWindow.GetWindowByName("Market").Close();

| do not even know where to start looking to debug or fix this.

#15 - 2015-01-26 07:14 AM - Amadeus

You can't get them necessarily by name that way. The 'name' is not the same 'caption’. If it's something that's in the caption of the window, you'd
use "ByCaption".

Test these functions instead:

/17
/// Fetch the EVE Inventory window
/17
/17
public static IEveInvWindow GetInventoryWindow ()
{
return new EvelInvWindow (LavishScript.Objects.GetObject ("EVEWindow", "Inventory"));

}

public static EveRepairShopWindow GetRepairShopWindow ()
{

return new EveRepairShopWindow (LavishScript.Objects.GetObject ("EVEWindow", "RepairShop"));
}

public static EveFittingWindow GetFittingWindow ()
{
return new EveFittingWindow (LavishScript.Objects.GetObject ("EVEWindow", "Fitting"));
}
public static EveSellItemsWindow GetSellItemsWindow ()
{

return new EveSellItemsWindow (LavishScript.Objects.GetObject ("EVEWindow", "SellItems"));
}

#16 - 2015-01-26 10:41 AM - rogeruk

| have tried with the above and no success.

EVEWindow window = EVEWindow.GetSellltemsWindow();
window.Close();

Doesn't do anything, sell window is open (manually) and the code should simply just close the window.

Neither of these codes work

EVEWindow window = EVEWindow.GetSellltemsWindow();
window.Close();

EVEWindow.GetWindowByName("SellltemsWindow").Close();
EVEWindow.GetWindowByName("Sellltems").Close();
| used this to get the window names:

function main()

{

variable index:evewindow Windows
variable iterator ThisWindow

EVE:GetEVEWindows[Windows]
Windows:Getlterator[ThisWindow]

if ${ThisWindow:First(exists)}

{
do

echo ${ThisWindow.Value.Name}

}
while ${ThisWindow:Next(exists)}

}
}

These work if | type them into the console and work fine in an iss script

EVEWindow[Sellltems]:Close
EVEWindow[SellltemsWindow]:Close

#17 - 2015-01-26 10:50 AM - rogeruk

| have just tried this:
List<EVEWindow> windowList;
using (new FrameLock(true))

{
windowList = Ext.EVE().GetEveWindows();

}

InnerSpace.Echo("Found " + windowList.Count + " windows");

Console shows "Found 0 windows"

#18 - 2015-01-26 11:19 AM - Amadeus

I'll ask Cybertech and stealthy to look into it. However, for now you might consider porting your script that deals with the market into lavishscript to
avoid this type of problems in the future. .NET is not a priority for me and while I'll update the wrapper given what's already there, I'm not going to
test it and/or debug it or anything. So, unless someone else is willing to fix it, it will probably stay broken.

#19 - 2015-01-26 11:26 AM - rogeruk

Yea not a problem, | have created what | need into a script just to handle that part, | use the .NET for database/xml features for the market side of
things.

| would like to look at helping to fix it, but | do not understand the link between the wrapper and isxeve/innerspace. Is there any
guide/references/tutorials regarding the innerspace/extension side of things?.

#20 - 2015-03-03 06:13 AM - rogeruk
Any word from Cybertech or Stealthy?.

#21 - 2015-05-01 10:19 AM - rogeruk

Would be so great to get this working :(. Can someone poke Cybertech or Stealthy?
